Bug 129101 - Package Install Error dialogue needs options
Summary: Package Install Error dialogue needs options
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-04 01:30 UTC by jimmythegeek
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-04 02:48:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jimmythegeek 2004-08-04 01:30:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
Package installation error dialogue missing skip and abort options. 
During a new/fresh install of Fedora Core 2, package installation
failed for a non-critical package (probably corrupt CD).  

Error dialogue gives only a "Hit o.k. to retry" type message, only one
button.  Much better would be an "OK", "Skip Package" "Abort Installation"

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install Fedora Core 2 with a corrupt package, in graphical mode
2. wait for package installation error dialogue
3. Look in vain for "skip this package" button
    

Actual Results:  No such button.  Stuck in loop - I could probably
burn another CD and try again, but I don't want the package that is
corrupt.  

Additional info:

Comment 1 Jeremy Katz 2004-08-04 02:48:51 UTC
Skipping just leaves you with a broken system, your only option at
that point is to retry (potentially ejecting the CD and putting in a
new one also works at that point).  

Comment 2 jimmythegeek 2004-08-12 19:44:55 UTC
This doesn't seem like the "linux" way.  I didn't specify the package,
but it was one I had no use for.  I was setting up a GUI-free machine,
and it was a package related to developing apps with GUI widgets. 
Probably the Right Thing is a dependency warning and a confirm skip
dialogue, and an entry in the install log should I skip in error and
want to go back and add the package later.  

Short of that, the error dialogue should have an "abort" button as
well as your suggestion of ejecting the CD and cleaning it or trying
another. That is sort of minimally polite. 

You seem to feel that no extranious packages find their way into the
install.  It looks to me like the package bundles are too broad, in
some circumstances.  My installation would be not so much broken as
improved if I skipped the offending package.    


Note You need to log in before you can comment on or make changes to this bug.